com.google.gwt.i18n.client

## Class TimeZoneInfo

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.i18n.client.TimeZoneInfo

-     public class TimeZoneInfo
      extends JavaScriptObject

  A JavaScript Overlay type on top of the JSON data describing everything we need to know about a particular timezone. The relevant strings of JSON can be found in TimeZoneConstants, or versions localized for non-en locales can be downloaded elsewhere.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TimeZoneInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeZoneInfo` | `buildTimeZoneData(java.lang.String json)` Construct a TimeZoneData javascript overlay object given some json text.
    `java.lang.String` | `getID()`
    `JsArrayString` | `getNames()`
    `int` | `getStandardOffset()`
    `JsArrayInteger` | `getTransitions()`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeZoneInfo

          protected TimeZoneInfo()

  - ### Method Detail

    - #### buildTimeZoneData

          public static TimeZoneInfo buildTimeZoneData(java.lang.String json)

      Construct a TimeZoneData javascript overlay object given some json text. This method directly evaluates the String that you pass in; no error or safety checking is performed, so be very careful about the source of your data.
      Parameters:
        `json` - JSON text describing a time zone, like what comes from `TimeZoneConstants`.
      Returns:
        a TimeZoneInfo object made from the supplied JSON.

    - #### getID

          public final java.lang.String getID()

    - #### getNames

          public final JsArrayString getNames()

    - #### getStandardOffset

          public final int getStandardOffset()

    - #### getTransitions

          public final JsArrayInteger getTransitions()